Google is making changes to the security threshold for installing apps on outdated versions of its mobile operating system. Starting with Android 15, apps will need to target at least Android 7.0 Nougat to parallel download. This new security feature aims to protect mobile devices by blocking unsafe apps that don’t have the latest security features.

The second Android 15 Developer Preview introduces a new security feature that prevents the installation of apps outside of the Google Play Store with an SDK level lower than 24. Any attempt to download an app that targets an outdated version of Android will trigger a warning dialog informing the user that the app has been blocked for security reasons.

Android 6.0 Marshmallow, released in 2015, introduced significant changes to the operating system to improve battery life and protect privacy. By implementing this new security threshold in Android 15, Google aims to ensure that apps are compatible with modern security standards.

This change follows a similar one Google made with Android 14, which requires apps to be compatible with at least Android 6.0 Marshmallow. The continuous evolution of Android security features reflects Google’s commitment to providing users with a safe and secure mobile experience.

By Samantha Johnson

As a dedicated content writer at newspuk.com, I immerse myself in the art of storytelling through words. With a keen eye for detail and a passion for crafting engaging narratives, I strive to captivate our audience with each piece I create. Whether I'm covering breaking news, delving into feature articles, or exploring thought-provoking editorials, my goal remains constant: to inform, entertain, and inspire through the power of writing. Join me on this journalistic journey as we navigate through the ever-evolving media landscape together.

Leave a Reply